<?php
$db = mysqli_connect('localhost', 'root', '', 'rzeki');
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="styl.css">
    <title>Poziomy Rzek</title>
</head>
<body>
<header id="headers">
    <div id="header-left">
        <img src="obraz1.png" alt="Mapa Polski">
    </div>
    <div id="header-right">
        <h1>Rzeki w województwie dolnośląskim</h1>
    </div>
</header>
<section id="menu">
    <form action="poziomRzek.php" method="post">
        <span class="radios">
            <input type="radio" name="options" id="radio1" value="all">
            <label for="radio1">Wszystkie</label>
        </span>
        <span class="radios">
            <input type="radio" name="options" id="radio2" value="warning">
            <label for="radio2">Ponad stan ostrzegawczy</label>
        </span>
        <span class="radios">
            <input type="radio" name="options" id="radio3" value="alarm">
            <label for="radio3">Pokaż stan alarmowy</label>
        </span>

        <button type="submit">Pokaż</button>
    </form>
</section>
<section id="sections">
    <div id="section-left">
        <h3>Stany na dzień 2022-05-05</h3>
        <table>
            <tr>
                <th>Wodomierz</th>
                <th>Rzeka</th>
                <th>Ostrzegawczy</th>
                <th>Alarmowy</th>
                <th>Aktualny</th>
            </tr>
            <?php
            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                $poziom = $_POST['options'];
                $sql = "SELECT wodowskazy.nazwa,wodowskazy.rzeka,wodowskazy.stanOstrzegawczy,wodowskazy.stanAlarmowy,pomiary.stanWody AS aktualny FROM wodowskazy JOIN pomiary ON wodowskazy.id = pomiary.wodowskazy_id WHERE pomiary.dataPomiaru = '2022-05-05'";
                switch ($poziom) {
                    case 'all':
                        $sql .= ";";
                        break;

                    case 'warning':
                        $sql .= " AND pomiary.stanWody > wodowskazy.stanOstrzegawczy;";
                        break;

                    case 'alarm':
                        $sql .= " AND pomiary.stanWody > wodowskazy.stanAlarmowy;";
                        break;
                }

                if (!mysqli_errno($db)) {
                    $result = mysqli_query($db, $sql);
                    for ($i = 0; $i < mysqli_num_rows($result); $i++) {
                        echo "<tr>";
                        $row = mysqli_fetch_assoc($result);
                        echo "<td>" . $row['nazwa'] . "</td>";
                        echo "<td>" . $row['rzeka'] . "</td>";
                        echo "<td>" . $row['stanOstrzegawczy'] . "</td>";
                        echo "<td>" . $row['stanAlarmowy'] . "</td>";
                        echo "<td>" . $row['aktualny'] . "</td>";
                        echo "</tr>";
                    }
                } else {
                    echo "Błąd zapytania lub połączenie z bazą danych";
                }
            }
            ?>
        </table>
    </div>
    <div id="section-right">
        <h3>Informacje</h3>
        <ul>
            <li>Brak ostrzeżeń o burzach z gradem</li>
            <li>Smog w mieście Wrocław</li>
            <li>Silny wiatr w Karkonoszach</li>
        </ul>
        <h3>Średnie stany wód</h3>
        <?php
        $sql2 = 'SELECT dataPomiaru, AVG(stanWody) FROM pomiary GROUP BY dataPomiaru;';
        $result2 = mysqli_query($db, $sql2);
        while ($row2 = mysqli_fetch_assoc($result2)) {
            echo "<p>" . $row2['dataPomiaru'] . ": " . $row2['AVG(stanWody)'] . "</p>";
        }
        ?>
        <a href="https://komunikaty.pl">Dowiedz się więcej</a>
        <img src="obraz2.jpg" alt="rzeka">
    </div>
</section>
<footer><p>Stronę wykonał: Jakub Grzegorczyk</p></footer>
</body>
</html>
<?php
mysqli_close($db);
?>